#!/bin/bash
# https://robertbasic.com/blog/toggle-a-vpn-connection/

VPN=$1

if [ -z "$VPN" ]
then
    exit 1
fi

ACTIVE=`nmcli con show --active | grep "$VPN"`

if [ -z "$ACTIVE" ]
then
    nmcli con up id "$VPN"
    notify-send "VPN $VPN" "Connected."
else
    nmcli con down id "$VPN"
    notify-send "VPN $VPN" "Disconnected."
fi

exit 0


